<script setup>
import { Disclosure, DisclosureButton, DisclosurePanel } from '@headlessui/vue'
import Triangle from './Triangle.vue'
import Post from './Post.vue'
</script>
<template>
    <div class="pb-5">
        <Disclosure v-slot="{ open }" :defaultOpen="data.staged">
            <DisclosureButton
            class="flex w-full text-2xl font-medium text-left focus:outline-none focus-visible:ring focus-visible:ring-black focus-visible:ring-opacity-75"
            >
                <Triangle
                :class="open ? 'transform rotate-90' : ''"
                class="w-7 h-7 sm:w-9 sm:h-9 text-primary"
            />
            <h2 class="text-2xl sm:text-3xl uppercase">{{ data.title }}</h2>
            </DisclosureButton>
            <DisclosurePanel class="pl-7 sm:pl-9 pb-5">
                <Post
                    v-for="post in data.children"
                    :key="post.slug"
                    :data="post" />
                </DisclosurePanel>
        </Disclosure>
    </div>
</template>

<style scoped>
p {
    padding-top: 10px;
}
</style>

<script>
export default {
    components: {
        Disclosure,
        DisclosureButton,
        DisclosurePanel,
        Post,
        Triangle,
    },

    props: {
        data: {},
    },

    setup() {
        
    },

    mounted () {
    }
}
</script>